ST_Count
Prev | 12.9. Raster Band Statistics and Analytics | Next

## Name

ST_Count — Returns the number of pixels in a given band of a raster or raster coverage. If no band is specified defaults to band 1. If exclude_nodata_value is set to true, will only count pixels that are not equal to the nodata value.

## Synopsis

`bigint ST_Count(`raster rast, integer nband=1, boolean exclude_nodata_value=true`)`;

`bigint ST_Count(`raster rast, boolean exclude_nodata_value`)`;

## Description

Returns the number of pixels in a given band of a raster or raster coverage. If no band is specified `nband` defaults to 1.

If `exclude_nodata_value` is set to true, will only count pixels with value not equal to the `nodata` value of the raster. Set `exclude_nodata_value` to false to get count all pixels

Changed: 3.1.0 - The ST_Count(rastertable, rastercolumn, ...) variants removed. Use ST_CountAgg instead.

Availability: 2.0.0

## Examples

    --example will count all pixels not 249 and one will count all pixels.  --
    SELECT rid, ST_Count(ST_SetBandNoDataValue(rast,249)) As exclude_nodata,
            ST_Count(ST_SetBandNoDataValue(rast,249),false) As include_nodata
        FROM dummy_rast WHERE rid=2;

    rid | exclude_nodata | include_nodata
    -----+----------------+----------------
       2 |             23 |             25

## See Also

ST_CountAgg, ST_SummaryStats, ST_SetBandNoDataValue

Prev | Up | Next
ST_SetBandIndex | Home | ST_CountAgg